<? $pages_count = ceil($this->count / $this->perPage); ?>

<? if ( count($this->ads) ): ?>
	<? foreach( $this->ads as $ad ): ?>
		<div class="msg <?= ($ad->is_premium) ? 'premium' : '' ?>">

            <div class="ad-data">
                <h2><?= $ad->title ?></h2>
                <p class="col-1">
                    <span class="ad-data-city"><?= $ad->city_title ?></span>
                    <span class="ad-data-id"><?= $this->defines['classified_ad_categories_ed'][$ad->category_id] ?></span>
                </p>
                <div class="toClear"></div>
                <p class="col-2">
                    <span class="ad-data-date"><?= (date('d.M.Y', strtotime($ad->approvation_date)) == date('d.M.Y', time())) ? __('today') : date('d.m.Y', strtotime($ad->approvation_date)); ?></span>
                    <span class="ad-data-views"><?= $ad->view_count ?> <?=__('viewed')?></span>
                </p>
                <div class="toClear"></div>
                <p class="col-3">
                    <span class="ad-data-country"><?= $ad->country_title ?></span>
                </p>
                <div class="toClear"></div>
            </div>

			<div class="image">
				<div class="hot"></div>
				<? if ( count($ad->images) ): ?>
					<? foreach($ad->images as $image): ?>
						<? $img = new Cubix_ImagesCommonItem($image); ?>
                            <img src="<?= $img->getUrl('backend_thumb') ?>" width="85" />
						<? break; ?>
					<? endforeach; ?>
				<? else: ?>
					<img src="<?= _st('classified-ads/no_image.jpg') ?>" width="85" />
				<? endif; ?>

                <div class="text">
                    <?= substr( strip_tags( $ad->text ), 0, 200 ) . ' ...'; ?>
                </div>

                <a rel="external" href="<?= $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>" class="more">
                    <? $ad->is_premium ? $pref = 'prem' : $pref = 'reg'; ?>
                    <span class="<?= 'more-' . $pref ?>"><?=__('see_ad')?></span>
                </a>
			</div>

			<div class="toClear"></div>
		</div>
	<? endforeach; ?>
<? else: ?>
	<b class="no-found an"><?= __('no_ads_found') ?></b>
<? endif; ?>

<? if ($pages_count != 1): ?>
	<div class="clear"></div>
	<div class="paging-list" style="padding: 30px 0 25px;">
		<? $pages = $this->paging($this->count, $this->page, $this->perPage, 7, 3); ?>

        <? if (1 < $this->page): ?>
            <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $this->page - 1 ?>');">&laquo;<?//= $this->t('previous') ?></a>
        <? endif ?>

        <? foreach ($pages as $page): ?>
            <? if ($this->page == $page): ?>
                <span class="active"><?= $page ?></span>
            <? else: ?>
                <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $page ?>');"><?= $page ?></a>
            <? endif ?>
        <? endforeach ?>

        <? if ($pages_count > $this->page): ?>
            <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $this->page + 1 ?>');">&raquo;<?//= $this->t('next') ?></a>
        <? endif ?>
	</div>
<? endif; ?>